Loading...
Searching...
No Matches
gx_gui::GxMainBox Class Reference

`#include <gx_main_boxes.h>`

Inheritance diagram for gx_gui::GxMainBox:

## Public Member Functions

| GxMainBox (const char *expose_funk)
| ~GxMainBox ()

## Public Attributes

Gtk::HBox | m_hbox
Gtk::HBox | m_pbox
Gtk::HBox | m_tbox
Gtk::HBox | m_fbox
Gtk::EventBox | m_eventbox
Gtk::Fixed | m_fixedbox
Gtk::Label | m_label
Gxw::PaintBox | m_paintbox

## Detailed Description

Definition at line 104 of file gx_main_boxes.h.

## Constructor & Destructor Documentation

## GxMainBox()

gx_gui::GxMainBox::GxMainBox | ( | const char * | expose_funk | ) |

## ~GxMainBox()

gx_gui::GxMainBox::~GxMainBox | ( |  | ) |

## Member Data Documentation

## m_eventbox

Gtk::EventBox gx_gui::GxMainBox::m_eventbox

Definition at line 110 of file gx_main_boxes.h.

## m_fbox

Gtk::HBox gx_gui::GxMainBox::m_fbox

Definition at line 109 of file gx_main_boxes.h.

## m_fixedbox

Gtk::Fixed gx_gui::GxMainBox::m_fixedbox

Definition at line 111 of file gx_main_boxes.h.

## m_hbox

Gtk::HBox gx_gui::GxMainBox::m_hbox

Definition at line 106 of file gx_main_boxes.h.

## m_label

Gtk::Label gx_gui::GxMainBox::m_label

Definition at line 112 of file gx_main_boxes.h.

## m_paintbox

Gxw::PaintBox gx_gui::GxMainBox::m_paintbox

Definition at line 113 of file gx_main_boxes.h.

## m_pbox

Gtk::HBox gx_gui::GxMainBox::m_pbox

Definition at line 107 of file gx_main_boxes.h.

## m_tbox

Gtk::HBox gx_gui::GxMainBox::m_tbox

Definition at line 108 of file gx_main_boxes.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_boxes.h